import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconSortUp as IconSortUpClass } from "../../../../components/icon/icons/sort-up.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconSortUp = (props) => {
  IconSortUpClass.define();
  const JSXElement = getReactComponent("gds-icon-sort-up");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconSortUp.displayName = "IconSortUp";
export {
  IconSortUp
};
